summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorUwe Hermann <uwe@hermann-uwe.de>2014-09-01 18:23:54 +0200
committerUwe Hermann <uwe@hermann-uwe.de>2014-09-01 18:23:54 +0200
commitdd37a782a8637bdee703a13c949b222b9ba8b95d (patch)
tree3674fe7fbd2116a84fbccabf82856423fea6a399 /autogen.sh
downloadsigrok-test-dd37a782a8637bdee703a13c949b222b9ba8b95d.tar.gz
sigrok-test-dd37a782a8637bdee703a13c949b222b9ba8b95d.zip
Add initial set of PD tests.
This is a slightly modified version of the PD test suite that was part of libsigrokdecode previously.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..194375d
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+##
+## This file is part of the sigrok-test project.
+##
+## Copyright (C) 2014 Uwe Hermann <uwe@hermann-uwe.de>
+##
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+##
+
+echo "Generating build system..."
+aclocal || exit 1
+automake --add-missing --copy || exit 1
+autoconf || exit 1
+